




if not exists(select * from gui_funcionalidad where active =1 and nombrecomando='firmar' and id_funcionalidad in(
select id from gui_funcionalidad where active=1 and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx'
))
begin

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select uid,eid,1,1,getdate(),getdate(),1
,'Firmar Solicitud'
,''
,'ort_firmar.jpg'
,'','','',''
,0
,'firmarSolicitud'
,'firmar'
,0
,id,2 from gui_funcionalidad where active=1 and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx'
end

print('CrearBoton Firma')
